Package com.typesafe.config.impl

## Class ConfigBeanImpl

- java.lang.Object
- - com.typesafe.config.impl.ConfigBeanImpl

    public class ConfigBeanImpl
    extends java.lang.Object

Internal implementation detail, not ABI stable, do not touch. For use only by the `com.typesafe.config` package.

### Constructor Summary

Constructors
`ConfigBeanImpl()`

### Method Summary

All Methods Static Methods Concrete Methods
`static <T> T` `createInternal​(Config config, java.lang.Class<T> clazz)` This is public ONLY for use by the "config" package, DO NOT USE this ABI may change.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigBeanImpl

    public ConfigBeanImpl()

### Method Detail

#### createInternal

    public static <T> T createInternal​(Config config,
                                       java.lang.Class<T> clazz)

This is public ONLY for use by the "config" package, DO NOT USE this ABI may change.

Type Parameters:
  `T` - type of the bean
Parameters:
  `config` - config to use
  `clazz` - class of the bean
Returns:
  the bean instance